error with dac250 et MEMds with new Delphi Update 10.2.2

Discussion of open issues, suggestions and bugs regarding IBDAC (InterBase Data Access Components) for Delphi, C++Builder, Lazarus (and FPC)
Post Reply
Daniel Fagnan
Posts: 55
Joined: Fri 13 Oct 2006 00:08

error with dac250 et MEMds with new Delphi Update 10.2.2

Post by Daniel Fagnan » Sat 16 Dec 2017 12:17

I just upgrade last version of Delphi TOKIO 10.2.2.
When I try recompile a component i received error message with unit MEMds was compiled with a different version of system.generics.collections.tarray.sort also problem with dac250.dcp.

With Version Berlin all is OK

Same problem with MYDac

Daniel Fagnan
Posts: 55
Joined: Fri 13 Oct 2006 00:08

Re: error with dac250 et MEMds with new Delphi Update 10.2.2

Post by Daniel Fagnan » Sat 16 Dec 2017 13:22

Just put by example in new demo ibdcdatasource and ibctable and ibcconnection when I compiled I received the same message.

nannoc
Posts: 9
Joined: Thu 10 Aug 2017 20:19

Re: error with dac250 et MEMds with new Delphi Update 10.2.2

Post by nannoc » Sun 17 Dec 2017 21:17

Any progress on this issue?

MaximG
Devart Team
Posts: 1356
Joined: Mon 06 Jul 2015 11:34

Re: error with dac250 et MEMds with new Delphi Update 10.2.2

Post by MaximG » Mon 18 Dec 2017 07:02

We know about the compatibility issues of our products with the latest version of RAD Studio 10.2 Tokyo Update 2. We are planning our products release with support for RAD Studio 10.2 Tokyo Update 2 in the shortest time

renato.renasoft
Posts: 1
Joined: Tue 19 Dec 2017 14:42

Re: error with dac250 et MEMds with new Delphi Update 10.2.2

Post by renato.renasoft » Wed 20 Dec 2017 17:36

Any position on updating the component to update 2?

Daniel Fagnan
Posts: 55
Joined: Fri 13 Oct 2006 00:08

Re: error with dac250 et MEMds with new Delphi Update 10.2.2

Post by Daniel Fagnan » Wed 20 Dec 2017 21:44

I new Fix for RadStudio 10.2.2 Fix has been post by Embarcadero.
All work fine now.

ViktorV
Devart Team
Posts: 2688
Joined: Wed 30 Jul 2014 07:16

Re: error with dac250 et MEMds with new Delphi Update 10.2.2

Post by ViktorV » Mon 25 Dec 2017 09:26

DAC products are not compatible with RAD Studio 10.2.2 Tokyo build 1978. The issue cause is not related to DAC products, but to some bugs in RAD Studio 10.2.2 build 1978. This bug is already fixed in RAD Studio 10.2.2 build 2004 from Dec 17, 2017. To solve the issue, install the studio build 2004 and install DAC product again.

Post Reply